Unable to apt upgrade exagear

Unable to apt upgrade exagear

Postby m0thman » Wed Dec 20, 2017 1:34 am

Hello.

I'm receiving next error when trying to do apt upgrade on my Odroid XU4 with Ubuntu 16.04.3 LTS:

Code: Select all
➜  ~ sudo apt install exagear-guest-ubuntu-1604
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be upgraded:
  exagear-guest-ubuntu-1604
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/116 MB of archives.
After this operation, 0 B of additional disk space will be used.
(Reading database ... 95079 files and directories currently installed.)
Preparing to unpack .../exagear-guest-ubuntu-1604_5_all.deb ...
It is not possible to update guest images with host tools.
Use apt-get from within the guest to update it.
dpkg: error processing archive /var/cache/apt/archives/exagear-guest-ubuntu-1604_5_all.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
/opt/exagear/images/ubuntu-1604/.exagear/eltechs-ppa /
/
Trying to forward binary /usr/bin/wine guest => host but the host one already exists.
Trying to forward binary /usr/bin/steam guest => host but the host one already exists.
Errors were encountered while processing:
 /var/cache/apt/archives/exagear-guest-ubuntu-1604_5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
➜  ~ sudo dpkg -i --force-overwrite /var/cache/apt/archives/exagear-guest-ubuntu-1604_5_all.deb
(Reading database ... 95079 files and directories currently installed.)
Preparing to unpack .../exagear-guest-ubuntu-1604_5_all.deb ...
It is not possible to update guest images with host tools.
Use apt-get from within the guest to update it.
dpkg: error processing archive /var/cache/apt/archives/exagear-guest-ubuntu-1604_5_all.deb (--install):
 subprocess new pre-installation script returned error exit status 1
/opt/exagear/images/ubuntu-1604/.exagear/eltechs-ppa /
/
Trying to forward binary /usr/bin/wine guest => host but the host one already exists.
Trying to forward binary /usr/bin/steam guest => host but the host one already exists.
Errors were encountered while processing:
 /var/cache/apt/archives/exagear-guest-ubuntu-1604_5_all.deb


How to fix it?
m0thman
 
Posts: 2
Joined: Fri Mar 10, 2017 6:40 pm

Re: Unable to apt upgrade exagear

Postby goha » Thu Mar 22, 2018 2:01 pm

Could you please clarify what are you trying to do?
Please note that there is a tutorial of how to update ExaGear Desktop:
http://docs.eltechs.com/install-and-configure-exagear-desktop/how-to-update-exagear-desktop
goha
 
Posts: 151
Joined: Wed Oct 08, 2014 9:22 am


Return to ExaGear Desktop

Who is online

Users browsing this forum: Bing [Bot] and 4 guests

cron